vagrant_gitlab_runner_gitlab_url = 'https://gitlab.com/'
vagrant_gitlab_runner_token = 'REPLACE_TOKEN_GITLAB_RUNNER'

Vagrant.configure("2") do |config|
  config.vm.box = "ubuntu/focal64"

  config.vm.provision "install_docker", 
    type: "shell", 
    preserve_order: true, 
    path: "./get-docker.sh" # for get this file run `curl https://get.docker.com/ -o get-docker.sh`

  config.vm.provision "install & register_gitlab_ranner", 
    type: "shell",
    preserve_order: true,
    inline: <<-SHELL
      echo "go to register"
      docker run -d --name gitlab-runner --restart always \
              -v /srv/gitlab-runner/config:/etc/gitlab-runner \
              -v /var/run/docker.sock:/var/run/docker.sock \
              gitlab/gitlab-runner:latest
      docker run  \
              --rm -v /srv/gitlab-runner/config:/etc/gitlab-runner gitlab/gitlab-runner register \
              --non-interactive \
              --executor "docker" \
              --docker-image alpine:latest \
              --url "#{vagrant_gitlab_runner_gitlab_url}" \
              --registration-token "#{vagrant_gitlab_runner_token}" \
              --description "Testing docker runner by vagrantfile" \
              --maintenance-note "Free-form maintainer notes about this runner" \
              --tag-list "shell, docker" \
              --run-untagged="true" \
              --locked="false" \
              --access-level="not_protected"
    SHELL
end
